	.text
	.globl incrementSequence
incrementSequence:
	movl 4(%esp),%ecx
	movl 8(%esp),%edx
	xor %eax,%eax
	jecxz .next
.loop:
	.rept 64
	inc %eax
	.endr
	loop .loop
.next:
	orl %edx,%edx
	jz .exit
	dec %edx
	dec %ecx
	jmp .loop
.exit:
	movl 4(%esp), %eax
	movl 8(%esp), %edx
	shldl $6, %eax, %edx
	sall $6, %eax
	ret

